Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

PostgresSQL 9.5 64 bits Qt 5.5 msvc2013 32 bits don't work together ?



  • I'm going crazy. is it really so difficult to install QPSQL driver in qt5, using msvc2013 32 bits ?
    is there someone who could give me some tips on how I can install the PostgreSQL driver in qt5.

    PostgresSQL 9.5 64 bits, works with Qt5.5 msvc2013 32 bits ?

    thank you for possible help.


  • Lifetime Qt Champion

    Hi,

    Please search this forum a bit, that question has been already asked and answer it the past few weeks.

    No, you can not mix libraries from different architectures. So the first thing to do is get the 32bit version of PostgreSQL.

    What did you try ? And what error did you get ?



  • QSqlDatabase: QPSQL driver not loaded
    QSqlDatabase: available drivers: QSQLITE QMYSQL QMYSQL3 QODBC QODBC3 QPSQL QPSQL7


  • Lifetime Qt Champion

    First thing: did you install a 32bit PostgreSQL ?


Log in to reply